Ticket #2275 (closed 改善提案: 修正済)

Opened 7 years ago

Last modified 7 years ago

PHP5.5対応

Reported by: kimoto Owned by: kimoto
Priority: Milestone: EC-CUBE2.13.0
Component: その他 Version: 2.12.4
Keywords: Cc:
修正済み: yes

Description (last modified by Seasoft) (diff)

PHP5.5がリリースされたので、動作対応する

r22964 r22928 r22888 r23000

Change History

comment:1 Changed 7 years ago by kimoto

data/module/SearchReplace.phpにeregが使われていますが、このmodule使われているんでしょうか

comment:2 Changed 7 years ago by kimoto

  • Owner changed from somebody to kimoto

comment:3 Changed 7 years ago by kim

kimoto 様こちら、 r22964 r22928 r22888 でコミットを確認しております。 チケットがNewのままになっておりますので、担当に入り、着手いただけますでしょうか。 また、現時点で残課題がございましたら、お教えください。

comment:4 Changed 7 years ago by kim

  • Priority changed from to

いちお、5.5対応は2.13.0で必須と考えておりますので、優先度高とさせていただきます。

comment:5 Changed 7 years ago by Seasoft

  • Description modified (diff)

気づいた範囲にて単発対応。r23000

comment:6 Changed 7 years ago by nanasess

r23125 でコミットされている HTTP_Request2 は、以下を確認すると PHP5.2.0 以降の対応のようです。

 http://pear.php.net/package/HTTP_Request2/

EC-CUBE のシステム用件は、 PHP5.1.6 ですので、PHP のバージョンによって分岐させるか、きちんとした wrapper クラスを作らないと、対応できないかもしれません。

comment:7 Changed 7 years ago by m_uehara

r23141 r23163 にて、影響が大きいため、2.13.0では対応を行わない r23125 r23128 r23133 を差し戻しました。

comment:8 Changed 7 years ago by h_yoshimoto

  • Status changed from new to closed
  • 修正済み set
  • Resolution set to 修正済

一旦本チケットは以上の対応でクローズとさせて頂きます。

ありがとうございました。

Note: See TracTickets for help on using tickets.